> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetZIPCodes POST https://api.voximplant.com/platform_api/GetZIPCodes Searches for available zip codes. Allowed roles: `Owner`, `Admin`, `Accountant`. **Example request:** Search for zip codes in Germany. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/regulation-address/get-zip-codes ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `country_code` (string, required) — The country code according to the **ISO 3166-1 alpha-2** - `phone_region_code` (string, optional) — The phone region code - `count` (integer, optional, default: 20) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output ## Response ### 200 Successful response - `result` (list of ZipCode, optional) — The ZipCode records - `count` (integer, optional) — The returned zip codes count ## Types ### ZipCode The ZipCode record. - `city` (string, optional) — The city name - `zip_code` (string, optional) — The zip code ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "city": "Berlin", "zip_code": "10115" }, { "city": "Munich", "zip_code": "80331" }, { "city": "Hamburg", "zip_code": "20095" }, { "city": "Cologne", "zip_code": "50667" }, { "city": "Frankfurt am Main", "zip_code": "60311" }, { "city": "Stuttgart", "zip_code": "70173" }, { "city": "Düsseldorf", "zip_code": "40213" }, { "city": "Dortmund", "zip_code": "44135" }, { "city": "Essen", "zip_code": "45127" }, { "city": "Leipzig", "zip_code": "04109" } ], "count": 10 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetZIPCodes" querystring = {"country_code":"DE","phone_region_code":"49","count":"10","offset":"0"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetZIPCodes?country_code=DE&phone_region_code=49&count=10&offset=0")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```